package com.ssj.service.weixin.sales.service;

import com.ssj.bean.weixin.sales.domain.LibSalesPrice;
import com.ssj.framework.core.common.service.BaseService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;


/** 
 * @author  ZhangCaibao 
 * @version 2017年4月24日 上午11:11:31 
 * 类说明 
 */
public interface LibSalesPriceService extends BaseService<LibSalesPrice, String>{
	
	 public  Page<LibSalesPrice>  findByPage(Map<String, Object> params, Pageable sp);
	 /**
	  * 新增图书馆，保存销售卡片的价格
	 * @param libId
	 * 创建人：ZhangCaibao 
	 * 2017年4月25日 下午2:54:43 
	 * @void
	  */
	 public void insertLibSalesPrice(String libId,Integer libtype);
	 public void updatePrice(String id ,BigDecimal price);
	 public void updateName(String id ,String name);
	 
	 public List<LibSalesPrice> findByLibId(String libId);
	 
	 public LibSalesPrice findByLibIdAndSpeciesAndType(String libId,String species ,String type);

}
